Component({
  properties: {
    show:{
      type: Boolean,
      observer: function (newVal){
        this.setData({ show: newVal });
      }
    },
    opacity:{
      type: Number,
      value:'7',
      observer: function (newVal){
          this.setData({ opacity: newVal });
      }
    },
    showCloseIcon:{
      type: Boolean,
      value:false,
      observer: function (newVal){
        this.setData({showCloseIcon: newVal });
      }
    },
  },
  data: {
    show:false,
    opacity:0,
    showCloseIcon:false
  },
  methods: {
    close(){
      this.setData({ show: false });
      this.triggerEvent("close", this.data.show);
    }
  }
})
